Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class XColors

    java.lang.Object
      ix.iface.util.XColors

    public class XColors

extends java.lang.Object

Colors for X-Windows color names.

Field Summary
`static java.awt.Color` | `AliceBlue`
`static java.awt.Color` | `AntiqueWhite`
`static java.awt.Color` | `Aqua`
`static java.awt.Color` | `Aquamarine`
`static java.awt.Color` | `Azure`
`static java.awt.Color` | `Beige`
`static java.awt.Color` | `Bisque`
`static java.awt.Color` | `Black`
`static java.awt.Color` | `BlanchedAlmond`
`static java.awt.Color` | `Blue`
`static java.awt.Color` | `BlueViolet`
`static java.awt.Color` | `Brown`
`static java.awt.Color` | `BurlyWood`
`static java.awt.Color` | `CadetBlue`
`static java.awt.Color` | `Chartreuse`
`static java.awt.Color` | `Chocolate`
`static java.awt.Color` | `Coral`
`static java.awt.Color` | `CornflowerBlue`
`static java.awt.Color` | `Cornsilk`
`static java.awt.Color` | `Crimson`
`static java.awt.Color` | `Cyan`
`static java.awt.Color` | `DarkBlue`
`static java.awt.Color` | `DarkCyan`
`static java.awt.Color` | `DarkGoldenRod`
`static java.awt.Color` | `DarkGray`
`static java.awt.Color` | `DarkGreen`
`static java.awt.Color` | `DarkKhaki`
`static java.awt.Color` | `DarkMagenta`
`static java.awt.Color` | `DarkOliveGreen`
`static java.awt.Color` | `Darkorange`
`static java.awt.Color` | `DarkOrchid`
`static java.awt.Color` | `DarkRed`
`static java.awt.Color` | `DarkSalmon`
`static java.awt.Color` | `DarkSeaGreen`
`static java.awt.Color` | `DarkSlateBlue`
`static java.awt.Color` | `DarkSlateGray`
`static java.awt.Color` | `DarkTurquoise`
`static java.awt.Color` | `DarkViolet`
`static java.awt.Color` | `DeepPink`
`static java.awt.Color` | `DeepSkyBlue`
`static java.awt.Color` | `DimGray`
`static java.awt.Color` | `DodgerBlue`
`static java.awt.Color` | `Feldspar`
`static java.awt.Color` | `FireBrick`
`static java.awt.Color` | `FloralWhite`
`static java.awt.Color` | `ForestGreen`
`static java.awt.Color` | `Fuchsia`
`static java.awt.Color` | `Gainsboro`
`static java.awt.Color` | `GhostWhite`
`static java.awt.Color` | `Gold`
`static java.awt.Color` | `GoldenRod`
`static java.awt.Color` | `Gray`
`static java.awt.Color` | `Green`
`static java.awt.Color` | `GreenYellow`
`static java.awt.Color` | `HoneyDew`
`static java.awt.Color` | `HotPink`
`static java.awt.Color` | `IndianRed`
`static java.awt.Color` | `Indigo`
`static java.awt.Color` | `Ivory`
`static java.awt.Color` | `Khaki`
`static java.awt.Color` | `Lavender`
`static java.awt.Color` | `LavenderBlush`
`static java.awt.Color` | `LawnGreen`
`static java.awt.Color` | `LemonChiffon`
`static java.awt.Color` | `LightBlue`
`static java.awt.Color` | `LightCoral`
`static java.awt.Color` | `LightCyan`
`static java.awt.Color` | `LightGoldenRodYellow`
`static java.awt.Color` | `LightGreen`
`static java.awt.Color` | `LightGrey`
`static java.awt.Color` | `LightPink`
`static java.awt.Color` | `LightSalmon`
`static java.awt.Color` | `LightSeaGreen`
`static java.awt.Color` | `LightSkyBlue`
`static java.awt.Color` | `LightSlateBlue`
`static java.awt.Color` | `LightSlateGray`
`static java.awt.Color` | `LightSteelBlue`
`static java.awt.Color` | `LightYellow`
`static java.awt.Color` | `Lime`
`static java.awt.Color` | `LimeGreen`
`static java.awt.Color` | `Linen`
`static java.awt.Color` | `Magenta`
`static java.awt.Color` | `Maroon`
`static java.awt.Color` | `MediumAquaMarine`
`static java.awt.Color` | `MediumBlue`
`static java.awt.Color` | `MediumOrchid`
`static java.awt.Color` | `MediumPurple`
`static java.awt.Color` | `MediumSeaGree`
`static java.awt.Color` | `MediumSlateBlue`
`static java.awt.Color` | `MediumSpringGreen`
`static java.awt.Color` | `MediumTurquoise`
`static java.awt.Color` | `MediumVioletRed`
`static java.awt.Color` | `MidnightBlue`
`static java.awt.Color` | `MintCream`
`static java.awt.Color` | `MistyRose`
`static java.awt.Color` | `Moccasin`
`static java.awt.Color` | `NavajoWhite`
`static java.awt.Color` | `Navy`
`static java.awt.Color` | `OldLace`
`static java.awt.Color` | `Olive`
`static java.awt.Color` | `OliveDrab`
`static java.awt.Color` | `Orange`
`static java.awt.Color` | `OrangeRed`
`static java.awt.Color` | `Orchid`
`static java.awt.Color` | `PaleGoldenRod`
`static java.awt.Color` | `PaleGreen`
`static java.awt.Color` | `PaleTurquoise`
`static java.awt.Color` | `PaleVioletRed`
`static java.awt.Color` | `PapayaWhip`
`static java.awt.Color` | `PeachPuff`
`static java.awt.Color` | `Peru`
`static java.awt.Color` | `Pink`
`static java.awt.Color` | `Plum`
`static java.awt.Color` | `PowderBlue`
`static java.awt.Color` | `Purple`
`static java.awt.Color` | `Red`
`static java.awt.Color` | `RosyBrown`
`static java.awt.Color` | `RoyalBlue`
`static java.awt.Color` | `SaddleBrown`
`static java.awt.Color` | `Salmon`
`static java.awt.Color` | `SandyBrown`
`static java.awt.Color` | `SeaGreen`
`static java.awt.Color` | `SeaShell`
`static java.awt.Color` | `Sienna`
`static java.awt.Color` | `Silver`
`static java.awt.Color` | `SkyBlue`
`static java.awt.Color` | `SlateBlue`
`static java.awt.Color` | `SlateGray`
`static java.awt.Color` | `Snow`
`static java.awt.Color` | `SpringGreen`
`static java.awt.Color` | `SteelBlue`
`static java.awt.Color` | `Tan`
`static java.awt.Color` | `Teal`
`static java.awt.Color` | `Thistle`
`static java.awt.Color` | `Tomato`
`static java.awt.Color` | `Turquoise`
`static java.awt.Color` | `Violet`
`static java.awt.Color` | `VioletRed`
`static java.awt.Color` | `Wheat`
`static java.awt.Color` | `White`
`static java.awt.Color` | `WhiteSmoke`
`static java.awt.Color` | `Yellow`
`static java.awt.Color` | `YellowGreen`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AliceBlue

    public static final java.awt.Color AliceBlue

### AntiqueWhite

    public static final java.awt.Color AntiqueWhite

### Aqua

    public static final java.awt.Color Aqua

### Aquamarine

    public static final java.awt.Color Aquamarine

### Azure

    public static final java.awt.Color Azure

### Beige

    public static final java.awt.Color Beige

### Bisque

    public static final java.awt.Color Bisque

### Black

    public static final java.awt.Color Black

### BlanchedAlmond

    public static final java.awt.Color BlanchedAlmond

### Blue

    public static final java.awt.Color Blue

### BlueViolet

    public static final java.awt.Color BlueViolet

### Brown

    public static final java.awt.Color Brown

### BurlyWood

    public static final java.awt.Color BurlyWood

### CadetBlue

    public static final java.awt.Color CadetBlue

### Chartreuse

    public static final java.awt.Color Chartreuse

### Chocolate

    public static final java.awt.Color Chocolate

### Coral

    public static final java.awt.Color Coral

### CornflowerBlue

    public static final java.awt.Color CornflowerBlue

### Cornsilk

    public static final java.awt.Color Cornsilk

### Crimson

    public static final java.awt.Color Crimson

### Cyan

    public static final java.awt.Color Cyan

### DarkBlue

    public static final java.awt.Color DarkBlue

### DarkCyan

    public static final java.awt.Color DarkCyan

### DarkGoldenRod

    public static final java.awt.Color DarkGoldenRod

### DarkGray

    public static final java.awt.Color DarkGray

### DarkGreen

    public static final java.awt.Color DarkGreen

### DarkKhaki

    public static final java.awt.Color DarkKhaki

### DarkMagenta

    public static final java.awt.Color DarkMagenta

### DarkOliveGreen

    public static final java.awt.Color DarkOliveGreen

### Darkorange

    public static final java.awt.Color Darkorange

### DarkOrchid

    public static final java.awt.Color DarkOrchid

### DarkRed

    public static final java.awt.Color DarkRed

### DarkSalmon

    public static final java.awt.Color DarkSalmon

### DarkSeaGreen

    public static final java.awt.Color DarkSeaGreen

### DarkSlateBlue

    public static final java.awt.Color DarkSlateBlue

### DarkSlateGray

    public static final java.awt.Color DarkSlateGray

### DarkTurquoise

    public static final java.awt.Color DarkTurquoise

### DarkViolet

    public static final java.awt.Color DarkViolet

### DeepPink

    public static final java.awt.Color DeepPink

### DeepSkyBlue

    public static final java.awt.Color DeepSkyBlue

### DimGray

    public static final java.awt.Color DimGray

### DodgerBlue

    public static final java.awt.Color DodgerBlue

### Feldspar

    public static final java.awt.Color Feldspar

### FireBrick

    public static final java.awt.Color FireBrick

### FloralWhite

    public static final java.awt.Color FloralWhite

### ForestGreen

    public static final java.awt.Color ForestGreen

### Fuchsia

    public static final java.awt.Color Fuchsia

### Gainsboro

    public static final java.awt.Color Gainsboro

### GhostWhite

    public static final java.awt.Color GhostWhite

### Gold

    public static final java.awt.Color Gold

### GoldenRod

    public static final java.awt.Color GoldenRod

### Gray

    public static final java.awt.Color Gray

### Green

    public static final java.awt.Color Green

### GreenYellow

    public static final java.awt.Color GreenYellow

### HoneyDew

    public static final java.awt.Color HoneyDew

### HotPink

    public static final java.awt.Color HotPink

### IndianRed

    public static final java.awt.Color IndianRed

### Indigo

    public static final java.awt.Color Indigo

### Ivory

    public static final java.awt.Color Ivory

### Khaki

    public static final java.awt.Color Khaki

### Lavender

    public static final java.awt.Color Lavender

### LavenderBlush

    public static final java.awt.Color LavenderBlush

### LawnGreen

    public static final java.awt.Color LawnGreen

### LemonChiffon

    public static final java.awt.Color LemonChiffon

### LightBlue

    public static final java.awt.Color LightBlue

### LightCoral

    public static final java.awt.Color LightCoral

### LightCyan

    public static final java.awt.Color LightCyan

### LightGoldenRodYellow

    public static final java.awt.Color LightGoldenRodYellow

### LightGrey

    public static final java.awt.Color LightGrey

### LightGreen

    public static final java.awt.Color LightGreen

### LightPink

    public static final java.awt.Color LightPink

### LightSalmon

    public static final java.awt.Color LightSalmon

### LightSeaGreen

    public static final java.awt.Color LightSeaGreen

### LightSkyBlue

    public static final java.awt.Color LightSkyBlue

### LightSlateBlue

    public static final java.awt.Color LightSlateBlue

### LightSlateGray

    public static final java.awt.Color LightSlateGray

### LightSteelBlue

    public static final java.awt.Color LightSteelBlue

### LightYellow

    public static final java.awt.Color LightYellow

### Lime

    public static final java.awt.Color Lime

### LimeGreen

    public static final java.awt.Color LimeGreen

### Linen

    public static final java.awt.Color Linen

### Magenta

    public static final java.awt.Color Magenta

### Maroon

    public static final java.awt.Color Maroon

### MediumAquaMarine

    public static final java.awt.Color MediumAquaMarine

### MediumBlue

    public static final java.awt.Color MediumBlue

### MediumOrchid

    public static final java.awt.Color MediumOrchid

### MediumPurple

    public static final java.awt.Color MediumPurple

### MediumSeaGree

    public static final java.awt.Color MediumSeaGree

### MediumSlateBlue

    public static final java.awt.Color MediumSlateBlue

### MediumSpringGreen

    public static final java.awt.Color MediumSpringGreen

### MediumTurquoise

    public static final java.awt.Color MediumTurquoise

### MediumVioletRed

    public static final java.awt.Color MediumVioletRed

### MidnightBlue

    public static final java.awt.Color MidnightBlue

### MintCream

    public static final java.awt.Color MintCream

### MistyRose

    public static final java.awt.Color MistyRose

### Moccasin

    public static final java.awt.Color Moccasin

### NavajoWhite

    public static final java.awt.Color NavajoWhite

### Navy

    public static final java.awt.Color Navy

### OldLace

    public static final java.awt.Color OldLace

### Olive

    public static final java.awt.Color Olive

### OliveDrab

    public static final java.awt.Color OliveDrab

### Orange

    public static final java.awt.Color Orange

### OrangeRed

    public static final java.awt.Color OrangeRed

### Orchid

    public static final java.awt.Color Orchid

### PaleGoldenRod

    public static final java.awt.Color PaleGoldenRod

### PaleGreen

    public static final java.awt.Color PaleGreen

### PaleTurquoise

    public static final java.awt.Color PaleTurquoise

### PaleVioletRed

    public static final java.awt.Color PaleVioletRed

### PapayaWhip

    public static final java.awt.Color PapayaWhip

### PeachPuff

    public static final java.awt.Color PeachPuff

### Peru

    public static final java.awt.Color Peru

### Pink

    public static final java.awt.Color Pink

### Plum

    public static final java.awt.Color Plum

### PowderBlue

    public static final java.awt.Color PowderBlue

### Purple

    public static final java.awt.Color Purple

### Red

    public static final java.awt.Color Red

### RosyBrown

    public static final java.awt.Color RosyBrown

### RoyalBlue

    public static final java.awt.Color RoyalBlue

### SaddleBrown

    public static final java.awt.Color SaddleBrown

### Salmon

    public static final java.awt.Color Salmon

### SandyBrown

    public static final java.awt.Color SandyBrown

### SeaGreen

    public static final java.awt.Color SeaGreen

### SeaShell

    public static final java.awt.Color SeaShell

### Sienna

    public static final java.awt.Color Sienna

### Silver

    public static final java.awt.Color Silver

### SkyBlue

    public static final java.awt.Color SkyBlue

### SlateBlue

    public static final java.awt.Color SlateBlue

### SlateGray

    public static final java.awt.Color SlateGray

### Snow

    public static final java.awt.Color Snow

### SpringGreen

    public static final java.awt.Color SpringGreen

### SteelBlue

    public static final java.awt.Color SteelBlue

### Tan

    public static final java.awt.Color Tan

### Teal

    public static final java.awt.Color Teal

### Thistle

    public static final java.awt.Color Thistle

### Tomato

    public static final java.awt.Color Tomato

### Turquoise

    public static final java.awt.Color Turquoise

### Violet

    public static final java.awt.Color Violet

### VioletRed

    public static final java.awt.Color VioletRed

### Wheat

    public static final java.awt.Color Wheat

### White

    public static final java.awt.Color White

### WhiteSmoke

    public static final java.awt.Color WhiteSmoke

### Yellow

    public static final java.awt.Color Yellow

### YellowGreen

    public static final java.awt.Color YellowGreen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD